<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Sun Feb 12 09:57:47 AST 2017 -->
<title>T-Index</title>
<meta name="date" content="2017-02-12">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="T-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li>Next Letter</li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">O</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">Q</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a name="_T_">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="strong"><a href="../Testing/ArrayDequeTest.html#TestDeleteAndAddDequeQueue()">TestDeleteAndAddDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/ArrayDequeTest.html" title="class in Testing">ArrayDequeTest</a></dt>
<dd>
<div class="block">A test for random insert and delete operation</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListDequeTest.html#TestDeleteAndAddDequeQueue()">TestDeleteAndAddDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/LinkedListDequeTest.html" title="class in Testing">LinkedListDequeTest</a></dt>
<dd>
<div class="block">A test for random insert and delete operation</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayDequeTest.html#TestEmptyFrmFirstDequeQueue()">TestEmptyFrmFirstDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/ArrayDequeTest.html" title="class in Testing">ArrayDequeTest</a></dt>
<dd>
<div class="block">A test to insert array elements through rear end and empty its content from front</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListDequeTest.html#TestEmptyFrmFirstDequeQueue()">TestEmptyFrmFirstDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/LinkedListDequeTest.html" title="class in Testing">LinkedListDequeTest</a></dt>
<dd>
<div class="block">A test to insert array elements through rear end and empty its content from front</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayDequeTest.html#TestEmptyFrmLastDequeQueue()">TestEmptyFrmLastDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/ArrayDequeTest.html" title="class in Testing">ArrayDequeTest</a></dt>
<dd>
<div class="block">A test to check is array empty before removing the array content</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListDequeTest.html#TestEmptyFrmLastDequeQueue()">TestEmptyFrmLastDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/LinkedListDequeTest.html" title="class in Testing">LinkedListDequeTest</a></dt>
<dd>
<div class="block">A test to check is array empty before removing the array content</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayDequeTest.html#TestExtraInserLastDequeQueue()">TestExtraInserLastDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/ArrayDequeTest.html" title="class in Testing">ArrayDequeTest</a></dt>
<dd>
<div class="block">A test to overload the array elements through insert at its rear end</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListDequeTest.html#TestExtraInserLastDequeQueue()">TestExtraInserLastDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/LinkedListDequeTest.html" title="class in Testing">LinkedListDequeTest</a></dt>
<dd>
<div class="block">A test to overload the array elements through insert at its rear end</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayStackTest.html#TestFillAndEmptyArrayStack()">TestFillAndEmptyArrayStack()</a></span> - Method in class Testing.<a href="../Testing/ArrayStackTest.html" title="class in Testing">ArrayStackTest</a></dt>
<dd>
<div class="block">A test to fill array stack and pop it till it gets empty</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListStackTest.html#TestFillAndEmptyArrayStack()">TestFillAndEmptyArrayStack()</a></span> - Method in class Testing.<a href="../Testing/LinkedListStackTest.html" title="class in Testing">LinkedListStackTest</a></dt>
<dd>
<div class="block">A test to fill array stack and pop it till it gets empty</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayStackTest.html#TestFillArrayStack()">TestFillArrayStack()</a></span> - Method in class Testing.<a href="../Testing/ArrayStackTest.html" title="class in Testing">ArrayStackTest</a></dt>
<dd>
<div class="block">A test to fill stack</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayStackTest.html#TestFillEmptyAndFillArrayStack()">TestFillEmptyAndFillArrayStack()</a></span> - Method in class Testing.<a href="../Testing/ArrayStackTest.html" title="class in Testing">ArrayStackTest</a></dt>
<dd>
<div class="block">A test to fill array stack and pop it till it gets empty</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListStackTest.html#TestFillEmptyAndFillArrayStack()">TestFillEmptyAndFillArrayStack()</a></span> - Method in class Testing.<a href="../Testing/LinkedListStackTest.html" title="class in Testing">LinkedListStackTest</a></dt>
<dd>
<div class="block">A test to fill array stack and pop it till it gets empty</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayStackTest.html#TestForEmptyArrayStack()">TestForEmptyArrayStack()</a></span> - Method in class Testing.<a href="../Testing/ArrayStackTest.html" title="class in Testing">ArrayStackTest</a></dt>
<dd>
<div class="block">A test for empty stack exception</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListStackTest.html#TestForEmptyArrayStack()">TestForEmptyArrayStack()</a></span> - Method in class Testing.<a href="../Testing/LinkedListStackTest.html" title="class in Testing">LinkedListStackTest</a></dt>
<dd>
<div class="block">A test for empty stack exception</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListDequeTest.html#TestForEmptyListAtFirstDequeQueue()">TestForEmptyListAtFirstDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/LinkedListDequeTest.html" title="class in Testing">LinkedListDequeTest</a></dt>
<dd>
<div class="block">A test to check deletion at its front end on empty list</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListDequeTest.html#TestForEmptyListAtLastDequeQueue()">TestForEmptyListAtLastDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/LinkedListDequeTest.html" title="class in Testing">LinkedListDequeTest</a></dt>
<dd>
<div class="block">A test to check deletion at its rear end on empty list</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayStackTest.html#TestForTopArrayStack()">TestForTopArrayStack()</a></span> - Method in class Testing.<a href="../Testing/ArrayStackTest.html" title="class in Testing">ArrayStackTest</a></dt>
<dd>
<div class="block">A test to find top element in a stack</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListStackTest.html#TestForTopArrayStack()">TestForTopArrayStack()</a></span> - Method in class Testing.<a href="../Testing/LinkedListStackTest.html" title="class in Testing">LinkedListStackTest</a></dt>
<dd>
<div class="block">A test to find top element in a stack</div>
</dd>
<dt><a href="../Testing/package-summary.html">Testing</a> - package Testing</dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../Testing/ArrayDequeTest.html#TestInserFirstDequeQueue()">TestInserFirstDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/ArrayDequeTest.html" title="class in Testing">ArrayDequeTest</a></dt>
<dd>
<div class="block">A test to insert elements through front twice when front index is at initial position</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListDequeTest.html#TestInserFirstDequeQueue()">TestInserFirstDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/LinkedListDequeTest.html" title="class in Testing">LinkedListDequeTest</a></dt>
<dd>
<div class="block">A test to insert elements through front twice when front index is at initial position</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayDequeTest.html#TestInserLastDequeQueue()">TestInserLastDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/ArrayDequeTest.html" title="class in Testing">ArrayDequeTest</a></dt>
<dd>
<div class="block">A test to fill Dequeue through inserting at  its rear end</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListDequeTest.html#TestInserLastDequeQueue()">TestInserLastDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/LinkedListDequeTest.html" title="class in Testing">LinkedListDequeTest</a></dt>
<dd>
<div class="block">A test to fill Dequeue through inserting at  its rear end</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayDequeTest.html#TestInsertFirstAndRmvFrmLastDequeQueue()">TestInsertFirstAndRmvFrmLastDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/ArrayDequeTest.html" title="class in Testing">ArrayDequeTest</a></dt>
<dd>
<div class="block">A test to insert 1st array elements from front & rest from rear then empty its content from its rear end</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListDequeTest.html#TestInsertFirstAndRmvFrmLastDequeQueue()">TestInsertFirstAndRmvFrmLastDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/LinkedListDequeTest.html" title="class in Testing">LinkedListDequeTest</a></dt>
<dd>
<div class="block">A test to insert 1st array elements from front & rest from rear then empty its content from its rear end</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayDequeTest.html#TestLastElementDeletionDequeQueue()">TestLastElementDeletionDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/ArrayDequeTest.html" title="class in Testing">ArrayDequeTest</a></dt>
<dd>
<div class="block">A test for last element deletion at first and Is array empty Test</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListDequeTest.html#TestLastElementDeletionDequeQueue()">TestLastElementDeletionDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/LinkedListDequeTest.html" title="class in Testing">LinkedListDequeTest</a></dt>
<dd>
<div class="block">A test for last element deletion at first and Is array empty Test</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayDequeTest.html#TestMidElementDeletionDequeQueue()">TestMidElementDeletionDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/ArrayDequeTest.html" title="class in Testing">ArrayDequeTest</a></dt>
<dd>
<div class="block">A test for last element deletion in mid</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListDequeTest.html#TestMidElementDeletionDequeQueue()">TestMidElementDeletionDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/LinkedListDequeTest.html" title="class in Testing">LinkedListDequeTest</a></dt>
<dd>
<div class="block">A test for last element deletion in mid</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayDequeTest.html#TestMidElementDeletionStringDequeQueue()">TestMidElementDeletionStringDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/ArrayDequeTest.html" title="class in Testing">ArrayDequeTest</a></dt>
<dd>
<div class="block">A test for last element deletion in mid</div>
</dd>
<dt><span class="strong"><a href="../Testing/ArrayStackTest.html#TestPushArrayStack()">TestPushArrayStack()</a></span> - Method in class Testing.<a href="../Testing/ArrayStackTest.html" title="class in Testing">ArrayStackTest</a></dt>
<dd>
<div class="block">A test to push elements into stack and make it over flow</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListStackTest.html#TestPushArrayStack()">TestPushArrayStack()</a></span> - Method in class Testing.<a href="../Testing/LinkedListStackTest.html" title="class in Testing">LinkedListStackTest</a></dt>
<dd>
<div class="block">A test to push elements into stack</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListDequeTest.html#TestStringDequeQueue()">TestStringDequeQueue()</a></span> - Method in class Testing.<a href="../Testing/LinkedListDequeTest.html" title="class in Testing">LinkedListDequeTest</a></dt>
<dd>
<div class="block">A test for last element deletion in mid</div>
</dd>
<dt><span class="strong"><a href="../Adapter/DequeQueue.html#toArray()">toArray()</a></span> - Method in class Adapter.<a href="../Adapter/DequeQueue.html" title="class in Adapter">DequeQueue</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../Adapter/DequeQueue.html#toArray(T[])">toArray(T[])</a></span> - Method in class Adapter.<a href="../Adapter/DequeQueue.html" title="class in Adapter">DequeQueue</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../Adapter/DequeStack.html#top()">top()</a></span> - Method in class Adapter.<a href="../Adapter/DequeStack.html" title="class in Adapter">DequeStack</a></dt>
<dd>
<div class="block">Returns top element of a stack</div>
</dd>
<dt><span class="strong"><a href="../Interface/Stack.html#top()">top()</a></span> - Method in interface Interface.<a href="../Interface/Stack.html" title="interface in Interface">Stack</a></dt>
<dd>
<div class="block">Returns top element of a stack</div>
</dd>
<dt><span class="strong"><a href="../Adapter/DequeQueue.html#toString()">toString()</a></span> - Method in class Adapter.<a href="../Adapter/DequeQueue.html" title="class in Adapter">DequeQueue</a></dt>
<dd>
<div class="block">Returns the array content</div>
</dd>
<dt><span class="strong"><a href="../Adapter/DequeStack.html#toString()">toString()</a></span> - Method in class Adapter.<a href="../Adapter/DequeStack.html" title="class in Adapter">DequeStack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../Queue/ArrayDeque.html#toString()">toString()</a></span> - Method in class Queue.<a href="../Queue/ArrayDeque.html" title="class in Queue">ArrayDeque</a></dt>
<dd>
<div class="block">Returns the array content</div>
</dd>
<dt><span class="strong"><a href="../Queue/LinkedListDeque.html#toString()">toString()</a></span> - Method in class Queue.<a href="../Queue/LinkedListDeque.html" title="class in Queue">LinkedListDeque</a></dt>
<dd>
<div class="block">Returns the node content</div>
</dd>
<dt><span class="strong"><a href="../Stack/ArrayStack.html#toString()">toString()</a></span> - Method in class Stack.<a href="../Stack/ArrayStack.html" title="class in Stack">ArrayStack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../Stack/LinkedListStack.html#toString()">toString()</a></span> - Method in class Stack.<a href="../Stack/LinkedListStack.html" title="class in Stack">LinkedListStack</a></dt>
<dd>
<div class="block">Returns the node content</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">O</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">Q</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li>Next Letter</li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
